| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
PythonAdaptor Class Reference

`#include <src/JobOptionsSvc/PythonConfig.h>`

Collaboration diagram for PythonAdaptor:
[legend]

## Public Member Functions
| PythonAdaptor (IJobOptionsSvc *jos)
void | addPropertyToJobOptions (const std::string &client, const std::string &name, const std::string &value)

## Private Attributes
SmartIF< IJobOptionsSvc > | m_IJobOptionsSvc

## Detailed Description

Definition at line 11 of file PythonConfig.h.

## Constructor & Destructor Documentation

PythonAdaptor::PythonAdaptor | ( | IJobOptionsSvc * | jos | ) |
| inline

Definition at line 14 of file PythonConfig.h.

14 : m_IJobOptionsSvc( jos ) {}
PythonAdaptor::m_IJobOptionsSvc
SmartIF< IJobOptionsSvc > m_IJobOptionsSvc
Definition: PythonConfig.h:21

## Member Function Documentation

void PythonAdaptor::addPropertyToJobOptions | ( | const std::string & | client,
|  | const std::string & | name,
|  | const std::string & | value
| ) |  |
| inline

Definition at line 15 of file PythonConfig.h.

16 {
17 m_IJobOptionsSvc->addPropertyToCatalogue( client, Gaudi::Property<std::string>( name, value ) );
18 }
Gaudi::Property
Implementation of property with value of concrete type.
Definition: Property.h:319
IJobOptionsSvc::addPropertyToCatalogue
virtual StatusCode addPropertyToCatalogue(const std::string &client, const Gaudi::Details::PropertyBase &property)=0
Add a property into the JobOptions catalog.
PythonAdaptor::m_IJobOptionsSvc
SmartIF< IJobOptionsSvc > m_IJobOptionsSvc
Definition: PythonConfig.h:21

## Member Data Documentation

SmartIF<IJobOptionsSvc> PythonAdaptor::m_IJobOptionsSvc
| private

Definition at line 21 of file PythonConfig.h.

The documentation for this class was generated from the following file:

- GaudiCoreSvc/src/JobOptionsSvc/PythonConfig.h